import { OnDestroy, OnInit } from '@angular/core';
import { CheckboxListData, CheckboxListState } from '@seniorsistemas/angular-components/checkbox-list';
import { Table, TableService } from 'primeng/table';
import * as i0 from "@angular/core";
export declare class TableHeaderCheckboxComponent implements OnInit, OnDestroy {
    readonly table: Table;
    readonly tableService: TableService;
    static nextId: number;
    id: string;
    disabled: boolean;
    rowProps?: string[];
    useAllObject?: boolean;
    checkboxItems: CheckboxListData;
    checked: boolean;
    hasFocus: boolean;
    checkboxState: CheckboxListState;
    private _ngUnsubscribe;
    constructor(table: Table, tableService: TableService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onFocus(): void;
    onBlur(): void;
    isDisabled(): boolean;
    onClick(): void;
    updateCheckedState(): any;
    onToggleCheckbox(checked: boolean): void;
    isAllFilteredValuesChecked(): boolean;
    isAllValuesChecked(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableHeaderCheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableHeaderCheckboxComponent, "s-table-header-checkbox", never, { "id": { "alias": "id"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "rowProps": { "alias": "rowProps"; "required": false; }; "useAllObject": { "alias": "useAllObject"; "required": false; }; }, {}, never, never, false, never>;
}
